#
# spec file for package alsaequal
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org
#

Name:           alsaequal
Version:        0.6
Release:        lp150.2.1
Summary:        Equalizer plugin for ALSA
License:        LGPL-2.1-only
Group:          System/Libraries
URL:            https://web.archive.org/web/20161105202833/http://thedigitalmachine.net/alsaequal.html
Source0:        %{name}-%{version}.tar.xz
Patch0:         lib64.patch
BuildRequires:  alsa-devel
BuildRequires:  gcc
BuildRequires:  ladspa-caps

%description
Alsaequal is a real-time adjustable equalizer plugin for ALSA

%prep
%setup -q -n %{name}
%if %{?_lib} == lib64
%patch0 -p1
%endif

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -funroll-loops -ffast-math -fPIC -DPIC"

%install
mkdir -p %{buildroot}%{_libdir}/alsa-lib
%make_install

%files
%defattr(0644,root,root,-)
%license COPYING
%doc README
%dir %{_libdir}/alsa-lib
%{_libdir}/alsa-lib/*.so

%changelog
* Fri Mar  9 2018 ilya@ilya.pp.ua
- Refresh spec-file via spec-cleaner.
- Add %%license macro.
* Tue Jul 25 2017 jengelh@inai.de
- Replace %%__-type macro indirections.
* Mon Jul 17 2017 ilya@ilya.pp.ua
- Initial package 0.6.
- Add patch lib64.patch for rewrite hardcoded library paths on 64-bit arch.
